Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++ kde-common-devel pkgconfig(libstreams)
# END SourceDeps(oneline)
Name:    kdegraphics-strigi-analyzer 
Summary: Strigi analyzers for various graphic types
Version: 15.12.2
Release: alt1_1

# dvi/ LGPLv2+.
# tiff/ GPLv2 and LGPLv2+
License: LGPLv2+ and GPLv2 
URL:     https://projects.kde.org/kdegraphics-strigi-analyzer
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kde4libs-devel >= 4.14
BuildRequires: libtiffxx-devel libtiff-devel
BuildRequires: pkgconfig(libstreamanalyzer)

# when split occurred
Conflicts: kde4graphics < 7:4.6.95-10
Source44: import.info

%description
%{summary}, including: dvi, tiff.


%prep
%setup -q


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%doc COPYING.LIB
%{_libdir}/strigi/strigiea_dvi.so
%doc COPYING
%{_libdir}/strigi/strigiea_tiff.so


%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 15.12.2-alt1_1
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 15.04.2-alt1_2
- update to new release by fcimport

* Sun Sep 20 2015 Cronbuild Service <cronbuild@altlinux.org> 4.14.3-alt2_1
- rebuild to get rid of unmets

* Tue Dec 23 2014 Igor Vlasenko <viy@altlinux.ru> 4.14.3-alt1_1
- update to new release by fcimport

* Mon Oct 20 2014 Igor Vlasenko <viy@altlinux.ru> 4.14.2-alt1_1
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 4.14.0-alt1_2
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 4.13.2-alt1_1
- update to new release by fcimport

* Fri Feb 21 2014 Igor Vlasenko <viy@altlinux.ru> 4.12.2-alt1_1
- update to new release by fcimport

* Tue Nov 12 2013 Igor Vlasenko <viy@altlinux.ru> 4.11.3-alt1_1
- update to new release by fcimport

* Thu Oct 10 2013 Igor Vlasenko <viy@altlinux.ru> 4.11.2-alt1_1
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 4.11.1-alt1_1
- update to new release by fcimport

* Mon Jun 10 2013 Igor Vlasenko <viy@altlinux.ru> 4.10.4-alt1_1
- update to new release by fcimport

* Mon May 13 2013 Igor Vlasenko <viy@altlinux.ru> 4.10.3-alt1_1
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 4.10.2-alt1_1
- initial fc import

